<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateLabel Method (IEdmFolder5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : CreateLabel Method (IEdmFolder5)

Visual Basic
C#
C++/CLI

bsName
  Name of the label; maximum of 255 characters

bsDescription
  Label description to show in the history dialog box; maximum of 2000 characters

bRecursively
  Optionally, true to set the label recursively on subfolders, false to not; default is true

Creates a label on this folder and its subfolders.

# Syntax

Visual Basic |
--- | ---

    Function CreateLabel( _
       ByVal bsName As System.String, _
       ByVal bsDescription As System.String, _
       Optional ByVal bRecursively As System.Boolean _
    ) As System.Integer

C# |
--- | ---

    System.int CreateLabel(
       System.string bsName,
       System.string bsDescription,
       System.bool bRecursively
    )

C++/CLI |
--- | ---

    System.int CreateLabel(
    &   System.String^ bsName,
    &   System.String^ bsDescription,
    &   System.bool bRecursively
    )

#### Parameters

bsName
  Name of the label; maximum of 255 characters
bsDescription
  Label description to show in the history dialog box; maximum of 2000 characters
bRecursively
  Optionally, true to set the label recursively on subfolders, false to not; default is true

#### Return Value

ID of the new label

# Example

Create Labels on Folders (VB.NET)
Create Labels on Folders (C#)

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments in invalid.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members
IEdmLabel5 Interface
IEdmFolder5::GetFirstLabelPosition Method ()
IEdmFile16::CreateLabel Method ()
IEdmEnumeratorVersion5::CreateLabel Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2